<?php

namespace App\Models;

class BookingAddon extends BaseModel
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'booking_addon';
    protected $appends = [];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [];

    public function propertyChannelAddon(){
        return  $this->hasOne('App\Models\PropertyChannelAddon','id', 'property_channel_addon_id')
            ->select(['id','title', 'description','property_addon_id','min_stay','type','amount']);
    }

    public function propertyAddon(){
        return  $this->hasOne('App\Models\PropertyAddon','id', 'property_addon_id')
            ->select(['id','fact_id', 'title', 'attribute']);
    }

}
